Instructions
------------
The idea is that you only have two main script files that are triggered by Domoticz. One that deals
with device changes and one dealing with timer events (every minute). These two scripts handle calling
all your other event scripts. Each script that you create exports the triggers (on section, see below). 
The main scripts will check these triggers and only call your script when necessary.

Copy the files `event_helpers.lua`,  `script_time_main.lua` and `script_device_main.lua` to the domoticz script folder
`../domoticz/scripts/lua`.
 
In that same folder create a sub folder called `scripts` and put your event scripts there. There is an example
script `example.lua` that shows you how to make a script module. It has to return a lua table that returns the
actual event handler and the triggers:

```
return {
	on = {
		'<device name>', -- name of the device
		258, -- index of the device
		'timer'  -- causes this script to be called every minute
	},
	execute = function(value)
		local commandArray = {}

		-- do your stuff

		return commandArray, true
	end
}
```

That should do the trick. 

Oh, and I have tested this only on a linux file system. It should work on Windows but I'm not sure. 

Good luck.