--[[
	Create a subfolder in domotics/scripts/lua and create a script like this example

	The 'on' section defines the triggers. This can contain one or more event triggers. There is a special
	trigger called 'timer' causing the script to be executed every minute.

	The 'execute' section contains the handler for the triggers. The execute method returns a
	commandArray and an optional boolean value. If the boolean if false then further execution
	of other event scripts is cancelled. If the execution is due to a device trigger, then
	the 'value' parameter holds the value.

	Of course all global domoticz tables are available here. See the wiki about event handlers


--]]

return {
	on = {
		'<device name>', -- name of the device
		258, -- index of the device
		'timer'  -- causes this script to be called every minute
	},
	execute = function(value)
		local commandArray = {}

		-- do your stuff

		return commandArray, true
	end
}